List all settlement rules
curl --request GET \
--url https://production.hifibridge.com/v2/virtual-accounts/settlement-rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://production.hifibridge.com/v2/virtual-accounts/settlement-rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://production.hifibridge.com/v2/virtual-accounts/settlement-rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"rules": [
{
"id": "15c786fb-de7a-520c-a4b3-f312d4a122d2",
"chain": "BASE",
"includeHIFIFee": false,
"rules": [
{
"type": "PERCENTAGE",
"calculationModel": "FIXED",
"walletAddress": "0x15FB50680fEB2f726413416665c25f9B397b047b",
"value": 0.001,
"tiers": [
{
"min": "1000",
"max": "2000",
"value": 0.0005
}
]
}
]
}
],
"nextCursor": "<string>"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}{
"code": 123,
"error": "<string>",
"errorDetails": "<string>"
}Settlement Rules
List all settlement rules
List all settlement rules available for virtual accounts.
GET
/
v2
/
virtual-accounts
/
settlement-rules
List all settlement rules
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Number of settlement rules to return, default to 10 maximum to 100
Return the settlement rules that created before this date
Return the settlement rules that created after this date
Return the settlement rules that are created on this chain
Available options:
BASE, POLYGON, ETHEREUM, SOLANA, TRON ⌘I